Subject: Re: [tcpm] intended status of draft-ietf-tcpm-accurate-ecn

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 3 Jan 2020 01:17:21 -0800

Hello,

This might be because some folks are on winter break, but it seems that we
don't have much feedback on this.
I am thinking about this a bit and start wondering if this may mean our
general feelings are "either status is fine" or there are some other
reasons.
If this is the case, I am thinking exp status might be suitable as PS
generally requires explicit supports (such as the case for TCP RACK)
If you could provide any opinions or comments, we will appreciate very much!

Thanks,
--
Yoshi

On Fri, Dec 13, 2019 at 1:17 AM Yoshifumi Nishida <[email-masked]>
wrote:

> Hi folks,
>
> We would like to get feedback for the intended status
> of draft-ietf-tcpm-accurate-ecn.
> The current intended status of this draft is experimental, but we've seen
> some voices that PS is more preferable for the draft during Singapore
> meeting and on the ML. So, we would like to check the consensus on it.
>
> There are some on-going related discussions such as flag registration
> policy, SCE, ECN++, etc, however, we believe the intended status
> discussions is independent from them and can proceed it separately. (If you
> have concerns on it, please share your opinion here)
>
> We appreciate your feedback.
>
> Thanks,
> --
> Yoshi on behalf of tcpm co-chairs.
>
>
>

---

From: Bob Briscoe <[email-masked]>
Date: Fri, 3 Jan 2020 13:48:58 +0000

Yoshi,

Are you expecting everyone who stuck their hand up at IETF-106 in 
Singapore to repeat their opinion? Or is the ML call primarily meant to 
look for people with opinions who were not present? So far, the only 
opinions on the ML have repeated those in the f2f mtg, for which the 
minutes said:

Yoshi: PS: 8, EXP: 2, don't care: 8

In context, "don't care" meant "either" (not "don't care about the draft").

To repeat my opinion given verbally:

  * I'm happy  with either PS or EXP.
  * On balance, PS, 'cos when making a change to the TCP wire protocol
    putting EXP or PS in an RFC header doesn't make any difference to
    whether the change can be reversed. So, it's better to be clear how
    serious we have to be about getting it right.
  * Making it PS would make the header flags process faster, and add
    weight to the internal corporate cases need to allocate time for
    implementing this (and implementing supporting stuff like offload)
  * but both those are less important than getting it right.

Bob

On 03/01/2020 09:17, Yoshifumi Nishida wrote:
> Hello,
>
> This might be because some folks are on winter break, but it seems 
> that we don't have much feedback on this.
> I am thinking about this a bit and start wondering if this may mean 
> our general feelings are "either status is fine" or there are some 
> other reasons.
> On Fri, Dec 13, 2019 at 1:17 AM Yoshifumi Nishida <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi folks,
>
>     The current intended status of this draft is experimental, but
>     we've seen some voices that PS is more preferable for the draft
>     during Singapore meeting and on the ML. So, we would like to check
>     the consensus on it.
>
>     There are some on-going related discussions such as flag
>     registration policy, SCE, ECN++, etc, however, we believe the
>     intended status discussions is independent from them and can
>     proceed it separately. (If you have concerns on it, please share
>     your opinion here)
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/

---

From: Yoshifumi Nishida <[email-masked]>
Date: Sat, 4 Jan 2020 02:02:54 -0800

Hi Bob,

My intention was the later. For the folks who were not in the room at
Singapore meeting.
But, of course, people who were there can also express their opinions if
they want as it can stimulate other folks to speak up.

Thanks,
--
Yoshi

On Fri, Jan 3, 2020 at 5:48 AM Bob Briscoe <[email-masked]> wrote:

>    - I'm happy  with either PS or EXP.
>    - On balance, PS, 'cos when making a change to the TCP wire protocol
>    putting EXP or PS in an RFC header doesn't make any difference to whether
>    the change can be reversed. So, it's better to be clear how serious we have
>    to be about getting it right.
>    - Making it PS would make the header flags process faster, and add
>    - but both those are less important than getting it right.
>
>
>
> Bob
>
> tcpm mailing [email-masked]://www.ietf.org/mailman/listinfo/tcpm
>
>
> --

---

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 24 Jan 2020 00:06:02 -0800

Hi everyone,

Sorry for taking long time. After several discussions among the chairs,
we've concluded the rough consensus of the WG is that this document should
target PS.

As tcpm is a relatively small community, it's sometimes not easy to assess
the consensus in the group.
However, as far as we've checked, most of people don't have issues on
publishing it as a PS doc.

This will mean the updated version of this draft will require further
detailed reviews since the current version was written for an experimental
doc. This might take extra time compared to publishing an EXP draft.
In addition, there are possibilities that other ECN proposals will be
published in the future (and they can be PS as well). This draft should be
carefully reviewed not to prevent such activities.

Thanks,
--
Yoshi on behalf of tcpm co-chairs